package com.fs.his.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsSignArticle;
import org.apache.ibatis.annotations.Select;

/**
 * 打卡文章Mapper接口
 * 
 * @author fs
 * @date 2026-04-16
 */
public interface FsSignArticleMapper extends BaseMapper<FsSignArticle>{
    /**
     * 查询打卡文章
     * 
     * @param id 打卡文章主键
     * @return 打卡文章
     */
    FsSignArticle selectFsSignArticleById(Long id);

    /**
     * 查询打卡文章列表
     * 
     * @param fsSignArticle 打卡文章
     * @return 打卡文章集合
     */
    List<FsSignArticle> selectFsSignArticleList(FsSignArticle fsSignArticle);

    /**
     * 新增打卡文章
     * 
     * @param fsSignArticle 打卡文章
     * @return 结果
     */
    int insertFsSignArticle(FsSignArticle fsSignArticle);

    /**
     * 修改打卡文章
     * 
     * @param fsSignArticle 打卡文章
     * @return 结果
     */
    int updateFsSignArticle(FsSignArticle fsSignArticle);

    /**
     * 删除打卡文章
     * 
     * @param id 打卡文章主键
     * @return 结果
     */
    int deleteFsSignArticleById(Long id);

    /**
     * 批量删除打卡文章
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsSignArticleByIds(Long[] ids);


    /**
     * 获取打卡文章别名数据集合
     *
     * @return 结果
     */
    @Select(" SELECT second_name,id,image_url FROM fs_sign_article ")
    List<FsSignArticle> selectSecondNameOptionList();
}
